<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];

  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }
  	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<script language="JavaScript" type="text/javascript" src="frm_producto.js"></script>
<script src="../js/jquery.js" type="text/javascript"></script>

<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>

 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>

</head>

<BODY onLoad="parametros.codigobarra.focus();">
<?php

include "../parametros.php";
include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
$paqueteunidad="";$cantidadpaquete="";$preciopaquete="";$productofamilia="";$marca="";$ubicacion="";
$linea="";$grupo="";

$rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM Producto_familia where estado='A'
					  union 
					  select 0,' ' from Producto_familia	
 					  order by nombre asc");
					  
$rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where estado='A'
					  union 
					  select 0,' ' from marca	
 					  order by nombre asc");					  

$rs_ubicacion=mysqli_query($conexion,"SELECT id,nombre FROM ubicacion where estado='A'
					  union 
					  select 0,' ' from ubicacion	
 					  order by nombre asc");					  


$rs_linea=mysqli_query($conexion,"SELECT id,nombre FROM linea where estado='A'
					  union 
					  select 0,' ' from linea	
 					  order by nombre asc");					  

$rs_unidad=mysqli_query($conexion,"SELECT id,nombre FROM unidad where estado='A'
					  union 
					  select 0,' ' from unidad	
 					  order by nombre asc");

$rs_grupo=mysqli_query($conexion,"SELECT id,nombre FROM grupo where estado='A' 
					  union 
					  select 0,' ' from grupo	
 					  order by nombre asc");
					  
if(isset($_REQUEST["oculto"]))
{ 
       	$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];  		
		$estado=$_REQUEST["estado"];
		$descripcion=$_REQUEST["descripcion"];
		//$preciounitario=$_REQUEST["preciounitario"];
		//$precioventa=$_REQUEST["precioventa"];
		$linea=$_REQUEST["linea"];
		$grupo=$_REQUEST["grupo"];
		$marca=$_REQUEST["marca"];		
		//$iva=$_REQUEST["iva"];  
		$codigobarra=$_REQUEST["codigobarra"];  
		$ubicacion=$_REQUEST["ubicacion"];  
		$paqueteunidad=$_REQUEST["paqueteunidad"];  
		//$cantidadpaquete=$_REQUEST["cantidadpaquete"];  
		//$preciopaquete=$_REQUEST["preciopaquete"];  
		$unidad=$_REQUEST["unidad"];  
		
		$preciounitario=str_replace(',','',$_REQUEST['preciounitario']);
		$precioventa=str_replace(',','',$_REQUEST['precioventa']);
		$cantidadpaquete=str_replace(',','',$_REQUEST['cantidadpaquete']);
		$preciopaquete=str_replace(',','',$_REQUEST['preciopaquete']);
		$iva=str_replace(',','',$_REQUEST['iva']);
	
	
	if($_REQUEST["oguardar"]==1)
			{   $vl_contar=0;
					$sql_contar=mysqli_query($conexion,"select count(*) as cantidad  from producto
													where nombre='".$nombre."'");
					 while($datos= mysqli_fetch_row($sql_contar)){ $vl_contar=$datos[0];}
					 if($vl_contar>=1){$mensaje="Ya esta registrado el nombre"; $tipo="error"; }
					 else
					  { 
						  if($cantidadpaquete==""){$cantidadpaquete=0;}
						  if($preciopaquete==""){$preciopaquete=0;}
						  if($paqueteunidad==""){$paqueteunidad='U';}
						  if($iva==""){$iva=0;}
						  if($preciounitario==""){$preciounitario=0;}
						  $nombre=str_replace("'","`",$nombre);
						  $descripcion=str_replace("'","`",$descripcion);
		
					   $sql_insert=mysqli_query($conexion,"INSERT INTO producto (nombre,descripcion,preciounitario,precioventa,
																		marca,iva,codigobarra,estado,ubicacion,paqueteunidad,cantidadpaquete, preciopaquete,unidad,linea,grupo,tipo)
													VALUES    ('".$nombre."','".$descripcion."','".$preciounitario."','".$precioventa."',
															   '".$marca."','".$iva."','".$codigobarra."','A','".$ubicacion."',
															   '".$paqueteunidad."','".$cantidadpaquete."','".$preciopaquete."',
															   '".$unidad."','".$linea."','".$grupo."','F')");
									 if ($sql_insert) 
										{   $mensaje="Registro guardado con exito"; $tipo="success";
										
									    	$sql_contar=mysqli_query($conexion,"select max(id) from producto");
			                            	while($datos= mysqli_fetch_row($sql_contar)){ $maxid=$datos[0];}
			                            	
			                            	if($codigobarra=="")
			                            	{
			                            	    $sql_insert=mysqli_query($conexion,"update  producto  set   
                    											                    codigobarra='".$maxid."',
                    											                    where id=".$id.""); 
			                            	}
										
										
										}
									 else
										 { $mensaje="Error al guardar el registro"; $tipo="error"; }
					  }		
				  ?>				  
				<script>
				cuteToast({
					  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 3000
					})
				</script>
			   <?php					 
		}//fin guardar
		
		if($_REQUEST["omodificar"]==1 && $id>0)
			{ 
				  $vl_contar=0;
				$sql_contar=mysqli_query($conexion,"select count(*) as cantidad  from producto where id=".$id."");
				while($datos= mysqli_fetch_row($sql_contar)){ $vl_contar=$datos[0];}
				 if($vl_contar==0){$mensaje="No existe el codigo a modificar"; $tipo="error"; }
				 else
				  {
				  
				   if($codigobarra=="")
				   {
				       $mensaje="Debe digitar el codigo de barras, si el producto no tiene debes de colocar el mismo codigo del producto"; $tipo="error";
				   }
				   else
				   {
    				   if($cantidadpaquete==""){$cantidadpaquete=0;}
    				  if($preciopaquete==""){$preciopaquete=0;}
    				  if($paqueteunidad==""){$paqueteunidad='U';}
    				  if($iva==""){$iva=0;}
    				  if($preciounitario==""){$preciounitario=0;}
    				  
    				     $nombre=str_replace("'","`",$nombre);
    						  $descripcion=str_replace("'","`",$descripcion);
    	
    				   $sql_insert=mysqli_query($conexion,"update  producto  set   
    											nombre='".trim($nombre)."',
    											descripcion='".trim($descripcion)."',
    											preciounitario='".trim($preciounitario)."',
    											precioventa='".trim($precioventa)."',
    											marca='".trim($marca)."',
    											iva='".trim($iva)."',
    											codigobarra='".trim($codigobarra)."',
    											estado='".trim($estado)."',
    											ubicacion='".trim($ubicacion)."',
    											paqueteunidad='".$paqueteunidad."',
    											cantidadpaquete='".$cantidadpaquete."',
    											preciopaquete='".$preciopaquete."',
    											unidad='".$unidad."',
    											linea='".$linea."',
    											grupo='".$grupo."'
    											where id=".$id.""); 									
    								 if ($sql_insert) 
    									{   $mensaje="Registro modificado con exito"; $tipo="success";
    										$sql_insert=mysqli_query($conexion,"INSERT INTO producto_precio (producto,precio,fecha,hora,usuario)
    												VALUES    ('".$id."','".$precioventa."','".$fecsis."','".$horasis."','".$vg_login."')");
    									}
    								 else
    									 { $mensaje="Error al modificar el registro"; $tipo="error";}
									 
				   }				 
				  }		
					  ?>				  
					<script>
					cuteToast({
						  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php					 
			}//fin guardar

		if($_REQUEST["oeliminar"]==1 && $id>0)
			{ 
				 $vl_contar=0;
				$sql_contar=mysqli_query($conexion,"select count(*) as cantidad  from producto where id=".$id."");
				while($datos= mysqli_fetch_row($sql_contar)){ $vl_contar=$datos[0];}
				 if($vl_contar==0){$mensaje="No existe el codigo a modificar"; $tipo="error"; }
				 else
				  {
				  
    				   $sql_insert=mysqli_query($conexion,"delete from producto where id=".$id.""); 									
						 if ($sql_insert) 
							{   $mensaje="Registro borrado con exito"; $tipo="success";
							}
						 else
							 { $mensaje="Error al borrar el registro"; $tipo="error";}
									 
				  				 
				  }		
					  ?>				  
					<script>
					cuteToast({
						  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
						  message: "<?php echo $mensaje; ?>",
						  timer: 3000
						})
					</script>
				   <?php					 
			}//fin guardar
	




	
 
}


if($_REQUEST["id"]<>'')
{
  $id=$_REQUEST["id"];
  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
								codigobarra,estado,ubicacion ,paqueteunidad,cantidadpaquete,preciopaquete,linea,grupo,unidad
								from producto
								where id='".$id."'");
	while($datos= mysqli_fetch_row($sql_datosrs))
	{
		$id=$datos[0];
		$nombre=$datos[1];
		$descripcion=$datos[2];
		$preciounitario=number_format($datos[3],2,'.',',');
		$precioventa=number_format($datos[4],2,'.',',');
		//$preciounitario=number_format($datos[3],0,'','.');
		//$precioventa=number_format($datos[4],0,'','.');
		$productofamilia=$datos[5];
		$marca=$datos[6];
		//$iva=number_format($datos[7],0,'','.');
		$iva=number_format($datos[7],2,'.',',');
		$codigobarra=$datos[8];
		$estado=$datos[9];
		$ubicacion=$datos[10];
		$paqueteunidad=$datos[11];
		$cantidadpaquete=number_format($datos[12],2,'.',',');
		$preciopaquete=number_format($datos[13],2,'.',',');
		//$cantidadpaquete=number_format($datos[12],0,'','.');
		//$preciopaquete=number_format($datos[13],0,'','.');
		$linea=$datos[14];
		$grupo=$datos[15];
		$unidad=$datos[16];
		
	}
	
}

if($_REQUEST["Obuscarcb"]==1)
{
 if($_REQUEST["codigobarra"]<>"")
 {   $contar=0;
	  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto
								where codigobarra='".$_REQUEST["codigobarra"]."'");
	  while($datos= mysqli_fetch_row($sql_datosrs)){ $contar=$datos[0];}
	  if($contar>=1)
	  {
		$sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
									codigobarra,estado,ubicacion,paqueteunidad,cantidadpaquete,preciopaquete,linea,grupo,unidad
									 from producto
									where codigobarra='".$_REQUEST["codigobarra"]."'");
		while($datos= mysqli_fetch_row($sql_datosrs))
	    {
			$id=$datos[0];
		$nombre=$datos[1];
		$descripcion=$datos[2];
		$preciounitario=number_format($datos[3],2,'.',',');
		$precioventa=number_format($datos[4],2,'.',',');
		//$preciounitario=number_format($datos[3],0,'','.');
		//$precioventa=number_format($datos[4],0,'','.');
		$productofamilia=$datos[5];
		$marca=$datos[6];
		//$iva=number_format($datos[7],0,'','.');
		$iva=number_format($datos[7],2,'.',',');
		$codigobarra=$datos[8];
		$estado=$datos[9];
		$ubicacion=$datos[10];
		$paqueteunidad=$datos[11];
		$cantidadpaquete=number_format($datos[12],2,'.',',');
		$preciopaquete=number_format($datos[13],2,'.',',');
		//$cantidadpaquete=number_format($datos[12],0,'','.');
		//$preciopaquete=number_format($datos[13],0,'','.');
		$linea=$datos[14];
		$grupo=$datos[15];
		$unidad=$datos[16];
					 
		}
	  }
	  else {$codigobarra=$_REQUEST["codigobarra"];}
 } 
}  

if($_REQUEST["Obuscar"]==1)
{

 if($id<>"")
 {
	$contar=0;
	  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto
								where id='".$id."'");
	  while($datos= mysqli_fetch_row($sql_datosrs)){ $contar=$datos[0];}
	  if($contar>=1)
	  {
		  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
									codigobarra,estado,ubicacion,paqueteunidad,cantidadpaquete,preciopaquete,linea,grupo,unidad
									 from producto
									where id='".$id."'");
			 while($datos= mysqli_fetch_row($sql_datosrs))
				{
						$id=$datos[0];
		$nombre=$datos[1];
		$descripcion=$datos[2];
		$preciounitario=number_format($datos[3],2,'.',',');
		$precioventa=number_format($datos[4],2,'.',',');
		//$preciounitario=number_format($datos[3],0,'','.');
		//$precioventa=number_format($datos[4],0,'','.');
		$productofamilia=$datos[5];
		$marca=$datos[6];
		//$iva=number_format($datos[7],0,'','.');
		$iva=number_format($datos[7],2,'.',',');
		$codigobarra=$datos[8];
		$estado=$datos[9];
		$ubicacion=$datos[10];
		$paqueteunidad=$datos[11];
		$cantidadpaquete=number_format($datos[12],2,'.',',');
		$preciopaquete=number_format($datos[13],2,'.',',');
		//$cantidadpaquete=number_format($datos[12],0,'','.');
		//$preciopaquete=number_format($datos[13],0,'','.');
		$linea=$datos[14];
		$grupo=$datos[15];
		$unidad=$datos[16];
				}
	   } 
	   else
	   {
		
	   }
  }
}	

	if($_REQUEST["ocancela"]==1)
		{  
		    $id="";$nombre="";$estado="";$descripcion="";
			$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
			$paqueteunidad="";$cantidadpaquete="";$preciopaquete="";$productofamilia="";$marca="";$ubicacion="";
			$linea="";$grupo="";
			
		}


?>
<form name="parametros" method="post" action="" >
<div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-primary">
      <div class="panel-heading">PRODUCTO</div>
      <div align="center">
      <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td height="0"> <div align="center">Codigo Barra                        </div></td>
                      <td width="185" height="0"><input name="codigobarra" type="text" id="codigobarra"
                              class="form-control" data-placement="right"  style="width: 150px" 
                             onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"   
                             value="<?php echo $codigobarra; ?>" size="20"
							  onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"  autocomplete="off"></td>
                      <td width="81" height="0"><input name="buscarcb" type="submit" id="buscarcb" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscarcb.value=1;Obuscarn.value=1;" ></td>
                      <td width="188" height="0"><div align="center">Codigo</div></td>
                      <td width="204" height="0"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" 
                       class="form-control" data-placement="right"  style="width: 150px" 
								onKeyPress="if(event.keyCode==13){Obuscar.value=1;nombre.focus();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"  autocomplete="off"></td>
                      <td width="184" height="0"><input name="buscar2" type="submit" id="buscar2" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscar.value=1;Obuscarn.value=1;" ></td>
                      <td width="583"><div align="center"> 
                         
                      </div></td>
                    </tr>
                    <tr> 
                      <td height="0"><div align="center">Nombre                        </div></td>
                      <td height="0" colspan="5"><input name="nombre" type="text"   id="nombre" value="<?php echo $nombre; ?>" 
                       class="form-control" data-placement="right"  style="width: 100%" 
								onKeyPress="if(event.keyCode==13){Obuscarn.value=1;Obuscarcb.value=0;Obuscar.value=0;id.value='';buscarn.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" autocomplete="off">

			</td>
			<td><input name="buscarn" type="submit" id="buscarn" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscarn.value=1;" ></td>
			
                    </tr>
                    <tr> 
                      <td width="166" height="1"> <div align="center">Descripcion                        </div></td>
                      <td height="1" colspan="3"><textarea name="descripcion" cols="55" rows="1" id="descripcion"
                       class="form-control" data-placement="right"  style="width: 100%" 
                       onKeyPress="if(event.keyCode==13){Obuscarn.value=1;Obuscarcb.value=0;Obuscar.value=0;id.value='';submit();} "
                        onFocus="this.style.background='#ccffff'" 
						onBlur="this.style.background='#ffffff'" ><?php echo $descripcion;?></textarea></td>
                      <td height="1"><input name="buscarn" type="hidden" id="buscarn" value="Buscar" title="Clic para Buscar"  class="btn btn-primary" onClick="Obuscarn.value=1;" ></td>
                      <td height="1"><div align="center">Unidad Medida</div></td>
                      <td width="583"><select name="unidad"  id="unidad"  
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                        >
                        <?php while ($row=mysqli_fetch_array($rs_unidad))
									{
									 if ($unidad==$row['id'])
										{echo "<option value=".$row['id']." selected>".substr($row['nombre'],0,50)."</option>";}
									 else
										{echo "<option value=".$row['id'].">".substr($row['nombre'],0,50)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td height="0"><div align="center">Precio Unitario</div></td>
                      <td height="0" colspan="2"><input name="preciounitario" type="text"  id="preciounitario"
                          class="form-control" data-placement="right"  style="width: 100%"                                                           
							 value="<?php echo $preciounitario; ?>"  onkeypress='mascara(this,cpf)'    autocomplete="off">
                         </td>
                      <td height="0" align="center">Precio Venta Unidad</td>
                      <td height="0"><input name="precioventa" type="text"  id="precioventa"
                      class="form-control" data-placement="right"  style="width: 100%" 
                              value="<?php echo $precioventa; ?>"  onkeypress='mascara(this,cpf)' 	 autocomplete="off"></td>
                      <td height="0"><div align="center">Paquete/Unidad </div></td>
                      <td width="583"><select name="paqueteunidad" id="paqueteunidad" 
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" >
                        <?PHP
							  if($paqueteunidad=="U"){echo "<option value='U' selected>Unidad</option>";}
							  else {echo "<option value='U' >Unidad</option>";}
							  if($paqueteunidad=="PU"){echo "<option value='PU' selected>Paquete</option>";}
							  else {echo "<option value='PU' >Paquete</option>";}
							  if($paqueteunidad=="P"){echo "<option value='P' selected>Peso</option>";}
							  else {echo "<option value='P' >Peso</option>";}
							?>
                      </select></td>
                    </tr>
                    <tr>
                      <td height="1"><div align="center">Cantidad</div></td>
                      <td height="1" colspan="2"><input name="cantidadpaquete" type="text"  id="cantidadpaquete"
                      class="form-control" data-placement="right"  style="width: 100%"                               
							 value="<?php echo $cantidadpaquete; ?>" 
							 onkeypress='mascara(this,cpf)'   autocomplete="off"></td>
                      <td height="1"><div align="center">Precio Venta Paquete</div></td>
                      <td height="1"><input name="preciopaquete" type="text"  id="preciopaquete"
                      class="form-control" data-placement="right"  style="width: 100%" 
                            value="<?php echo $preciopaquete; ?>" 
					    onkeypress='mascara(this,cpf)'  autocomplete="off"></td>
                      <td height="1"><div align="center">Marca</div></td>
                      <td width="583"><select name="marca"  id="marca"  
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                        >
                        <?php while ($row=mysqli_fetch_array($rs_marca))
									{
									 if ($marca==$row['id'])
										{echo "<option value=".$row['id']." selected>".substr($row['nombre'],0,50)."</option>";}
									 else
										{echo "<option value=".$row['id'].">".substr($row['nombre'],0,50)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td height="0"><div align="center">Linea</div></td>
                      <td height="0" colspan="3"><select name="linea" id="linea"  
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                       >
                        <?php while ($row=mysqli_fetch_array($rs_linea))
									{
									 if ($linea==$row['id'])
										{echo "<option value=".$row['id']." selected>".substr($row['nombre'],0,50)."</option>";}
									 else
										{echo "<option value=".$row['id'].">".substr($row['nombre'],0,50)."</option>";}		
									}
							 ?>
                      </select></td>
                      <td height="0"><div align="center">Grupo</div></td>
                      <td height="0" colspan="2"><select name="grupo"  id="grupo"  
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                        >
                        <?php while ($row=mysqli_fetch_array($rs_grupo))
									{
									 if ($grupo==$row['id'])
										{echo "<option value=".$row['id']." selected>".substr($row['nombre'],0,50)."</option>";}
									 else
										{echo "<option value=".$row['id'].">".substr($row['nombre'],0,50)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td height="1"><div align="center">Iva</div></td>
                      <td height="1"><input name="iva" type="text" id="iva"
                             class="form-control" data-placement="right"  style="width: 100%" 
                             value="<?php echo $iva; ?>" onkeypress='mascara(this,cpf)'	 ></td>
                      <td height="1"><div align="center">Estado</div></td>
                      <td height="1"><select name="estado" id="estado"
                      class="form-control" data-placement="right"  style="width: 100%" 
                       onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"  >
                        <?PHP
							  if($estado=="A"){echo "<option value='A' selected>Activo</option>";}
							  else {echo "<option value='A' >Activo</option>";}
							  if($estado=="I"){echo "<option value='I' selected>Inactivo</option>";}
							  else {echo "<option value='I' >Inactivo</option>";}
							?>
                      </select></td>
                      <td height="1"><div align="center">Ubicacion</div></td>
                      <td height="1" colspan="2"><select name="ubicacion"  id="ubicacion"  
                      class="form-control" data-placement="right"  style="width: 100%" 
                      onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"
                       >
                        <?php while ($row=mysqli_fetch_array($rs_ubicacion))
									{
									 if ($ubicacion==$row['id'])
										{echo "<option value=".$row['id']." selected>".substr($row['nombre'],0,50)."</option>";}
									 else
										{echo "<option value=".$row['id'].">".substr($row['nombre'],0,50)."</option>";}		
									}
							 ?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td height="1" colspan="7"><div align="center">
                        <input name="cancelar" type="button" id="cancelar" value="Cancelar" class="btn btn-primary" title="Clic para cancelar los datos" onClick="ocancela.value=1;submit();">
                       <?php
                        if($id>0){}
                        else
                        {
                       ?>
                        <input name="guardar" type="button" id="guardar" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="return pregunta_guardar();" >
                        <?php
                        }
                        
                        if($id>0)
                        {
                        ?>
                        <input name="modificar" type="button" id="modificar" value="Modificar" class="btn btn-primary" title="Clic para Modificar" onClick="return pregunta_modificar(); ">
                        <input name="eliminar" type="button" id="eliminar" value="Eliminar" class="btn btn-primary" title="Clic para Eliminar" onClick="return pregunta_eliminar(); ">
                        <input name='kardex' type='button'  id='kardex' value='Kardex'   class="btn btn-primary" title="Clic para ver kardex"
						  onClick="javascript:window.open('../inventario/frm_inventario_kardexn.php?producto=<?php echo $id;?>&empresa=<?php echo $empresa;?>','Reportekardex','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
					    <input name='ajuste2' type='button'  id='ajuste2' value='Ajuste Inventario'   class="btn btn-primary" title="Clic cargar ajustes de inventario"
						  onClick="javascript:window.open('../inventario/frm_ajustesinventario.php?producto=<?php echo $id; ?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >
                        <input name='vence' type='button'  id='vence' value='Vencimientos'   class="btn btn-primary" title="Clic cargar Vencimientos"
						  onClick="javascript:window.open('frm_fechavence.php?producto=<?php echo $id; ?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >
						  
                        <?php
                        }
                        ?>
                        <br>
                        <input name='rep' type='button'  id='rep' value='Excel Productos'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('reporte_excel_productos.php','ReporteProducto','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
                        <input name='minmax' type='button'  id='minmax' value='Min/Max'   class="btn btn-primary" title="Clic cargar Minimos y Maximos"
						  onClick="javascript:window.open('frm_producto_minmax.php?id=<?php echo $id; ?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >
                        <input name='ajuste' type='hidden'  id='ajuste' value='Desagregar Producto'   class="btn btn-primary" title="Clic cargar ajustes de inventario"
						  onClick="javascript:window.open('../inventario/frm_ajustes.php','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >

                        <input name='ven' type='button'  id='ven' value='Reporte Vencimientos'   class="btn btn-primary" title="Clic ver vencimientos"
						  onClick="javascript:window.open('excel_vencimientos.php','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >


                        <input name='minmax2' type='hidden'  id='minmax2' value='Reporte Min/Max'   class="btn btn-primary" title="Clic para ver reporte Minimos y Maximos"
						  onClick="javascript:window.open('reporte_excel_productos.php','Reporteminmax','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=500,height=400');" >
                       
                        <input name='rep2' type='hidden'  id='rep2' value='Reporte/Informe'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('frm_producto_reporte.php?tabla=producto','Reporteproducto','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
                      
                                               


                        <br>
                        <input name="oguardar" type="hidden" id="oguardar">
                        <input name="Obuscar" type="hidden" id="Obuscar">
                        <input name="Obuscarn" type="hidden" id="Obuscarn">
                        <input name="omodificar" type="hidden" id="omodificar">
                        <input name="oreporte" type="hidden" id="oreporte">
                        <input name="obuscadato" type="hidden" id="obuscadato">
                        <input name="oculto" type="hidden" id="oculto">
                        <input name="Obuscarcb" type="hidden" id="Obuscarcb">
                        <input name="ocancela" type="hidden" id="ocancela">
                        <input name="ogrupo" type="hidden" id="ogrupo">
                        <input name="oeliminar" type="hidden" id="oeliminar">
                        
                        
                      </div></td>
                    </tr>                    
                  </table>
      <iframe src="../inventario/frm_inventario_inicial.php?id=<?php echo $id;?>&cantidad=0&empresa=<?php echo $ubicacion;?>"  width="100%" height="240px" style="border:none" ></iframe>
      </div>
</div>
<?php
if($_REQUEST["Obuscarn"]==1)
 {
//echo "entro";
		
		if($nombre<>"")
		{
			$nombre=str_replace('*','%',$nombre);
			$descripcion=str_replace('*','%',$descripcion);
			if($nombre<>""){$sqlnombre=" and nombre like '%".$nombre."%'";}else{$sqlnombre="";}
			$contar=0;
			  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto
										where estado='".$estado."'
										$sqlnombre");
			  while($datos= mysqli_fetch_row($sql_datosrs)){ $contar=$datos[0];}
			  if($contar>=1)
			  {
				 echo "<center> <table id='example1' class='table table-bordered table-striped' style='font-size:12px;' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
					echo "<thead><tr>";
							echo "<th align='center' class='btn-primary'>Codigo</th>";
							echo "<th align='center' class='btn-primary'>Nombre</th>";						
							echo "<th align='center' class='btn-primary'>Linea</th>";
							echo "<th align='center' class='btn-primary'>Grupo</th>";
							echo "<th align='center' class='btn-primary'>Marca</th>";
							echo "<th align='center' class='btn-primary'>Codigo Barras</th>";
							echo "<th align='center' class='btn-primary'>Precio Venta</th>";						
							echo "<th align='center' class='btn-primary'>Estado</th>";
							echo "<th align='center' class='btn-primary'>Saldo</th>";
							echo "</tr> </thead><tbody>";
				  
				  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
											codigobarra,estado,ubicacion,linea,grupo from producto
											where estado='".$estado."'
											$sqlnombre
											order by nombre asc");
					$c=1;
					 while($datos= mysqli_fetch_row($sql_datosrs))//04
						{
							 $id=$datos[0];
							 $nombre=$datos[1];
							 $descripcion=$datos[2];
							 $preciounitario=$datos[3];
							 $precioventa=$datos[4];
							 $productofamilia=$datos[5];
							 $marca=$datos[6];
							 $iva=$datos[7];
							 $codigobarra=$datos[8];
							 $estado=$datos[9];
							 $ubicacion=$datos[10];
							 $linea=$datos[11];
							 $grupo=$datos[12];
							 $nmarca="";
							 
							 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
							 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
	
							 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
							 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
	
							 
							 $rs_marca=mysqli_query($conexion,"SELECT id,nombre FROM marca where id='".$marca."'");
							 while($datosrs= mysqli_fetch_row($rs_marca)){ $nmarca=$datosrs[1];}
							 
							 $rs_ubicacion=mysqli_query($conexion,"SELECT id,nombre FROM ubicacion where id='".$ubicacion."'");
							 while($datosrs= mysqli_fetch_row($rs_ubicacion)){ $nubicacion=$datosrs[1];}
							 
							 $sql_inv=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad from inventario where producto='".$id."'");
							 while($datosrs= mysqli_fetch_row($sql_inv)){ $cantidadinv=$datosrs[0];}
							 
							 $sql_datosventas=mysqli_query($conexion,"SELECT sum(cantidad) as cantidad,sum(total) as total from venta
												 where producto='".$id."' and estado='F'");
							 while($datosrs= mysqli_fetch_row($sql_datosventas))
							   { $cantidadv=$datosrs[0];
								 $total=$datosrs[1];
							   }
							 $saldo=$cantidadinv-$cantidadv;
							 if($saldo>0){$colorinv="#009933";} else {$colorinv="";}
													 
							
							 
							  echo "<tr>";
								  echo "<td><a href='frm_producto.php?id=$id&Obuscarcb=0&ocancela=0&Obuscar=0&Obuscarn=0'>$id</a> </td>																					
								  <td>$nombre <br><font size='1'>[ $descripcion ]</font></td>							 
								  <td>$nlinea</td>
								  <td>$ngrupo</td>
								  <td>$nmarca</td>
								 <td>$codigobarra</td>
								 <td><div align='right'>".number_format($precioventa)."</div></td>							  
								  <td>$estado</td>		
								  <td bgcolor=$colorinv>".number_format($saldo,2)."</td>								  
								</tr>";
								$c++;
						} 
						 echo "</tbody></table></center>";
			   } 
		}
		else
		{
			 ?>				  
				<script>
				cuteToast({
					  type: "info", // or 'info', 'error', 'warning'
					  message: "Digite el nombre a buscar",
					  timer: 3000
					})
				</script>
			   <?php		
			}

 }
?>
</div>                  
  
 
  
<SCRIPT type=text/javascript>


function pregunta_eliminar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   { document.parametros.oeliminar.value=1; 
				document.parametros.submit(); 
				return true;
	   } 
	  else
	   {
		document.parametros.oeliminar.value=0;
		    return false; 
	  }
	})
}  



function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.parametros.oguardar.value=0; 
				return false;
				}
			else
			  { document.parametros.oguardar.value=1; 
				document.parametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.parametros.oguardar.value=0;
		    return false; 
	  }
	})
}  

function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   { 
	   		document.parametros.omodificar.value=1; 
			document.parametros.submit(); 
			return true;
	   } 
	  else 
	   {
		 	document.parametros.omodificar.value=0;
		    return false; 
	  }
	})
}  

function valida_campos()
{   var mensaje='';

		 if(document.parametros.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre,';    }
		 if(document.parametros.linea.value>0){}
		 else {mensaje=mensaje + 'Linea,';    }
		 if(document.parametros.grupo.value>0){}
		 else {mensaje=mensaje + 'Grupo';    }
		 if(document.parametros.marca.value>0){}
		 else {mensaje=mensaje + 'Marca';    }
		 if(document.parametros.ubicacion.value>0){}
		 else {mensaje=mensaje + 'Ubicacion';    }
		 if(document.parametros.unidad.value>0){}
		 else {mensaje=mensaje + 'Unidad';    }
		 
		/* if(document.parametros.preciounitario.value>0){}
		 else {mensaje=mensaje + 'Precio Unitario';    }
		 if(document.parametros.precioventa.value>0){}
		 else {mensaje=mensaje + 'Precio Venta';    }
*/
		if(document.parametros.nombre.value!='' && document.parametros.linea.value>0 && document.parametros.grupo.value>0 &&
		document.parametros.marca.value>0 && document.parametros.ubicacion.value>0 && document.parametros.unidad.value>0){return true;}
		else {
			  cuteAlert({
						  type: "error",
						  title: "SIVI",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
						
			  return false;
			 }


}

</script>

 

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script> 


<script src="../plugins/jquery/jquery.min.js"></script>
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, 
	  "lengthChange": false, 
	  "autoWidth": false,
      "buttons": ["excel"],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  });
</script>
 
</form>

</body>
</html>
